Bug 177503 - xchat crashes in dbus code while running in a jhbuild setup
xchat crashes in dbus code while running in a jhbuild setup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 05:37 EST by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-17 09:13:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kjartan Maraas 2006-01-11 05:37:09 EST
Description of problem:
This crash happens when I try to run a system installed (rawhide) version of
xchat under a jhbuild environment running GNOME 2.13.x from CVS:

(gdb) r
Starting program: /usr/bin/xchat
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0x34e000
[Thread debugging using libthread_db enabled]
[New Thread -1208740176 (LWP 20706)]
GTK Accessibility Module initialized

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208740176 (LWP 20706)]
0x00a1e4c8 in ?? () from /lib/libc.so.6
(gdb) bt
#0  0x00a1e4c8 in ?? () from /lib/libc.so.6
#1  0x07f0b717 in dbus_error_to_gerror_code (derr=0x0)
    at dbus-glib-error-switch.h:5
#2  0x07f0bb80 in dbus_set_g_error (gerror=0xbf966be8, error=0xbf966a48)
    at dbus-gobject.c:1500
#3  0x07f11b8a in dbus_g_proxy_end_call_internal (proxy=0x9104b38, call_id=1,
    error=0xbf966be8, first_arg_type=28, args=0xbf966bcc "")
    at dbus-gproxy.c:2238
#4  0x07f122d8 in dbus_g_proxy_call (proxy=0x9104b38,
    method=0xd70726 "RequestName", error=0xbf966be8, first_arg_type=28)
    at dbus-gproxy.c:2402
#5  0x00d704c3 in xchat_plugin_init (plugin_handle=0x911fe30,
    plugin_name=0x911fec4, plugin_desc=0x911fec8, plugin_version=0x911fecc,
    arg=0x0) at dbus-plugin.c:153
#6  0x0808fc7c in plugin_add (sess=0x90e0848,
    filename=0x911d4a0 "/usr/lib/xchat/plugins/dbus.so", handle=0x911f2f8,
    init_func=0xd703ca, deinit_func=0x0, arg=0x0, fake=0) at plugin.c:288
#7  0x0809004a in plugin_load (sess=0x90e0848,
    filename=0x911d4a0 "/usr/lib/xchat/plugins/dbus.so", arg=0x0)
    at plugin.c:421
#8  0x08090078 in plugin_auto_load_cb (
    filename=0x911d4a0 "/usr/lib/xchat/plugins/dbus.so") at plugin.c:433
#9  0x08098cc2 in for_files (dirname=0x809ef77 "/usr/lib/xchat/plugins",
---Type <return> to continue, or q <return> to quit---
    mask=0x80aa490 "*.so", callback=0x8090054 <plugin_auto_load_cb>)
    at util.c:781
#10 0x0808fe3f in plugin_auto_load (sess=0x90e0848) at plugin.c:453
#11 0x08099edb in new_ircwindow (serv=0x90e0200, name=0x0, type=1, focus=0)
    at xchat.c:280
#12 0x0809468c in servlist_connect (sess=0x0, net=0x8fc5598) at servlist.c:486
#13 0x0806d3b5 in servlist_connect_cb (button=0x8febeb0, userdata=0x0)
    at servlistgui.c:627
#14 0x00b2f705 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8ff23b0,
    return_value=0x0, n_param_values=1, param_values=0xbf9672dc,
    invocation_hint=0xbf967178, marshal_data=0x0) at gmarshal.c:77
#15 0x00b177a0 in IA__g_closure_invoke (closure=0x8ff23b0, return_value=0x0,
    n_param_values=1, param_values=0xbf9672dc, invocation_hint=0xbf967178)
    at gclosure.c:490
#16 0x00b2ebdd in signal_emit_unlocked_R (node=0x8fe5f00, detail=0,
    instance=0x8febeb0, emission_return=0x0, instance_and_params=0xbf9672dc)
    at gsignal.c:2438
#17 0x00b2ddf1 in IA__g_signal_emit_valist (instance=0x8febeb0, signal_id=191,
    detail=0, var_args=0xbf9674cc "\uffff\uffff]") at gsignal.c:2197
#18 0x00b2e0ac in IA__g_signal_emit (instance=0x8febeb0, signal_id=191,
    detail=0) at gsignal.c:2241
#19 0x005dd46c in IA__gtk_button_clicked (button=0x8febeb0) at gtkbutton.c:834
#20 0x005de777 in gtk_button_finish_activate (button=0x8febeb0, do_it=1)
---Type <return> to continue, or q <return> to quit---
    at gtkbutton.c:1442
#21 0x005de428 in gtk_button_key_release (widget=0x8febeb0, event=0x8fc9f78)
    at gtkbutton.c:1299
#22 0x006c95fd in _gtk_marshal_BOOLEAN__BOXED (closure=0x8f885c0,
    return_value=0xbf96775c, n_param_values=2, param_values=0xbf9678dc,
    invocation_hint=0xbf967778, marshal_data=0x5de3f8) at gtkmarshalers.c:83
#23 0x00b17a76 in g_type_class_meta_marshal (closure=0x8f885c0,
    return_value=0xbf96775c, n_param_values=2, param_values=0xbf9678dc,
    invocation_hint=0xbf967778, marshal_data=0xd0) at gclosure.c:567
#24 0x00b177a0 in IA__g_closure_invoke (closure=0x8f885c0,
    return_value=0xbf96775c, n_param_values=2, param_values=0xbf9678dc,
    invocation_hint=0xbf967778) at gclosure.c:490
#25 0x00b2ee0e in signal_emit_unlocked_R (node=0x8f88610, detail=0,
    instance=0x8febeb0, emission_return=0xbf9678c4,
    instance_and_params=0xbf9678dc) at gsignal.c:2476
#26 0x00b2de56 in IA__g_signal_emit_valist (instance=0x8febeb0, signal_id=35,
    detail=0, var_args=0xbf967ad0
"\uffffz\226\uffffD\uffff\uffff\b\b{\226\uffff\uffff\uffff~") at gsignal.c:2207
#27 0x00b2e0ac in IA__g_signal_emit (instance=0x8febeb0, signal_id=35,
    detail=0) at gsignal.c:2241
#28 0x007ea525 in gtk_widget_event_internal (widget=0x8febeb0, event=0x8fc9f78)
    at gtkwidget.c:3735
#29 0x007ea09a in IA__gtk_widget_event (widget=0x8febeb0, event=0x8fc9f78)
    at gtkwidget.c:3538
---Type <return> to continue, or q <return> to quit---
#30 0x006c7bf1 in IA__gtk_propagate_event (widget=0x8febeb0, event=0x8fc9f78)
    at gtkmain.c:2141
#31 0x006c68d5 in IA__gtk_main_do_event (event=0x8fc9f78) at gtkmain.c:1412
#32 0x0015935f in gdk_event_dispatch (source=0x8f79af0, callback=0,
    user_data=0x0) at gdkevents-x11.c:2291
#33 0x003780db in g_main_dispatch (context=0x8f79b38) at gmain.c:1916
#34 0x003795bb in IA__g_main_context_dispatch (context=0x8f79b38)
    at gmain.c:2466
#35 0x00379b35 in g_main_context_iterate (context=0x8f79b38, block=1,
    dispatch=1, self=0x8f68530) at gmain.c:2547
#36 0x0037a307 in IA__g_main_loop_run (loop=0x8ff0e70) at gmain.c:2751
#37 0x006c5f60 in IA__gtk_main () at gtkmain.c:991
#38 0x0805c9b3 in fe_main () at fe-gtk.c:277
#39 0x0809a8cd in main (argc=Cannot access memory at address 0x0
) at xchat.c:1012
#40 0x009ca6b4 in __libc_start_main (main=0x8099f7c <main>, argc=1,
    ubp_av=0xbf968c34, init=0x807c820 <__libc_csu_init>,
    fini=0x807c87c <__libc_csu_fini>, rtld_fini=0x9a5de0 <_dl_fini>,
    stack_end=0xbf968c2c) at libc-start.c:231
#41 0x08053da1 in _start ()


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2006-02-17 09:13:55 EST
Don't see this any more. Closing.

Note You need to log in before you can comment on or make changes to this bug.